<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<section xmlns="http://docbook.org/ns/docbook" version="5.0" xmlns:xlink="http://www.w3.org/1999/xlink" xml:id="_dir_abd30d11711bae4cb17b258a1e3909ca" xml:lang="en-US">
<title>docs/list Directory Reference</title>
<indexterm><primary>docs/list Directory Reference</primary></indexterm>
<section>
<title>Detailed Description</title>

<para>This section contains documentation for the list operations of ArmaRAMDb that allow for working with ordered collections of items.</para>
<section xml:id="_README.md_1autotoc_md420">
<title>Available Functions</title>
<para><itemizedlist>
<listitem>
<para><link linkend="_md_docs_2list_2list_add">listAdd</link> - Add an item to a list</para>
</listitem><listitem>
<para><link linkend="_md_docs_2list_2list_delete">listDelete</link> - Delete a list</para>
</listitem><listitem>
<para><link linkend="_md_docs_2list_2list_get">listGet</link> - Get items from a list</para>
</listitem><listitem>
<para><link linkend="_md_docs_2list_2list_load">listLoad</link> - Load a list from the database</para>
</listitem><listitem>
<para><link linkend="_md_docs_2list_2list_remove">listRemove</link> - Remove an item from a list</para>
</listitem><listitem>
<para><link linkend="_md_docs_2list_2list_set">listSet</link> - Set an item in a list</para>
</listitem></itemizedlist>
</para>
</section>
<section xml:id="_README.md_1autotoc_md421">
<title>Example Usage</title>
<para><literallayout><computeroutput>//&#32;Add&#32;an&#32;item&#32;to&#32;a&#32;list
[&quot;myList&quot;,&#32;[&quot;myItem&quot;]]&#32;call&#32;ramdb_db_fnc_listAdd;

//&#32;Set&#32;an&#32;item&#32;at&#32;a&#32;specific&#32;index
[&quot;myList&quot;,&#32;0,&#32;[myNewValue]]&#32;call&#32;ramdb_db_fnc_listSet;

//&#32;Get&#32;an&#32;item&#32;at&#32;a&#32;specific&#32;index
[&quot;myList&quot;,&#32;0,&#32;&quot;myFunction&quot;]&#32;call&#32;ramdb_db_fnc_listGet;

//&#32;Load&#32;all&#32;items&#32;from&#32;a&#32;list
[&quot;myList&quot;,&#32;&quot;myFunction&quot;]&#32;call&#32;ramdb_db_fnc_listLoad;

//&#32;Remove&#32;an&#32;item&#32;at&#32;a&#32;specific&#32;index
[&quot;myList&quot;,&#32;0]&#32;call&#32;ramdb_db_fnc_listRemove;

//&#32;Delete&#32;the&#32;entire&#32;list
[&quot;myList&quot;]&#32;call&#32;ramdb_db_fnc_listDelete;
</computeroutput></literallayout></para>
</section>
<section xml:id="_README.md_1autotoc_md422">
<title>Related Categories</title>
<para><itemizedlist>
<listitem>
<para>Core Functions</para>
</listitem><listitem>
<para>Basic Data Operations</para>
</listitem><listitem>
<para>Hash Operations </para>
</listitem></itemizedlist>
</para>
</section>
</section>
</section>
